package build

import (
	"git.akyoto.dev/cli/q/src/build/asm"
)

// Finalize generates the final machine code.
func Finalize(functions map[string]*Function) ([]byte, []byte) {
	a := asm.New()

	for _, f := range functions {
		a.Merge(&f.Assembler)
	}

	code, data := a.Finalize()
	return code, data
}
